
Ryzom - Bug # 1443

Status: Closed Priority: High
Author: molator Category: Build
Created: 03/03/2012 Assignee: kervala
Updated: 03/06/2012 Due date:
Subject: Patch 1.13 linux side effect
Description

A couple of people have identify a side effect issue with the last patch on linux.

/home/ryzom/code/ryzom/server/src/ai_service/nf_grp_npc.cpp:2243: error: invalid initialization of reference of type ‘ucstring&’ from
expression of type ‘NLMISC::CSString’
/home/ryzom/code/ryzom/common/src/game_share/send_chat.h:118: error: in passing argument 3 of ‘void
npcChatToChannelSentence(const TDataSetRow&, CChatGroup::TGroupType, ucstring&)’

Related issues:
duplicated by Ryzom - Feature # 1433: Merge changes from patch 1.13 Closed 02/27/2012

History
#1 - 03/03/2012 11:47 pm - kervala

I didn't yet commit servers changes, there are a lot more changes than on client side so it takes time to merge :)

#2 - 03/04/2012 05:01 pm - kervala

Please could you confirm that all is compiling again ?

Btw there are a lot of new warnings I'll fix later.

#3 - 03/05/2012 05:49 am - plunder

I was running to this very error:
/home/ryzom/code/ryzom/server/src/ai_service/nf_grp_npc.cpp:2243: error: invalid initialization of reference of type ‘ucstring&’ from expression of type
‘NLMISC::CSString’
/home/ryzom/code/ryzom/common/src/game_share/send_chat.h:118: error: in passing argument 3 of ‘void npcChatToChannelSentence(const
TDataSetRow&, CChatGroup::TGroupType, ucstring&)’

Since your commit I've built it successfully on Ubuntu 10.04 32-bit, thank you!

#4 - 03/05/2012 09:08 am - kervala
- Category set to Build
- Status changed from New to Resolved
- Assignee set to kervala
- Priority changed from Normal to High
- Target version set to Version 0.9.0

You're welcome :)
#5 - 03/05/2012 09:08 am - kervala
- % Done changed from 0 to 100

#6 - 03/06/2012 01:09 pm - kervala
- Status changed from Resolved to Closed
